> ## Documentation Index
> Fetch the complete documentation index at: https://developer.utgl.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bank data by Swift code



## OpenAPI

````yaml /issuing/api-reference/openapi.yaml get /banks
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
servers:
  - url: https://access.utgl.io/v1
  - url: https://sandbox.access.utgl.io/v1
security:
  - Basic: []
  - Bearer: []
tags:
  - name: Accounts
  - name: Transactions
  - name: Card Accounts
  - name: Card Products
  - name: Cards
  - name: Digital Custody
  - name: Fee
  - name: Payout
paths:
  /banks:
    get:
      tags:
        - Bank Info
      summary: Get bank data by Swift code
      parameters:
        - name: swiftCode
          in: query
          required: true
          description: The Swift code of the bank to retrieve data for
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The ID of the bank
                  countryCode:
                    type: string
                    description: The country code of the bank
                  country:
                    type: string
                    description: The name of the country the bank is located in
                  bankName:
                    type: string
                    description: The name of the bank
                  swiftCode:
                    type: string
                    description: The Swift code of the bank
                  branch:
                    type: string
                    description: The branch of the bank
                  bankAddress:
                    type: string
                    description: The address of the bank
                  city:
                    type: string
                    description: The city the bank is located in
                  accountNumber:
                    type: string
                    description: The bank account number
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````